

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;

import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFCellStyle;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

/**
 * @author Andrei Astrouski
 */
public class CopyTest  {

   public static void main(String[] args) throws Exception {
        String f1 = "1.xlsx";
        String f2 = "2.xlsx";

        InputStream inp1 = new FileInputStream(f1);
        XSSFWorkbook wb1 = new XSSFWorkbook(inp1);
        inp1.close();

        InputStream inp2 = new FileInputStream(f2);
        XSSFWorkbook wb2 = new XSSFWorkbook(inp2);
        inp2.close();

        XSSFSheet sheet1 = wb1.getSheetAt(0);
        XSSFRow row1 = sheet1.getRow(0);
        XSSFCell cell1 = row1.getCell(0);
        XSSFCellStyle s1 = cell1.getCellStyle();

        XSSFSheet sheet2 = wb2.getSheetAt(0);
        XSSFRow row2 = sheet2.getRow(0);
        if (row2 == null) {
            row2 = sheet2.createRow(0);
        }
        XSSFCell cell2 = row2.getCell(0);
        if (cell2 == null) {
            cell2 = row2.createCell(0);
        }

        XSSFCellStyle s2 = wb2.createCellStyle();
        s2.cloneStyleFrom(s1);
        cell2.setCellStyle(s2);

        FileOutputStream out2 = new FileOutputStream(new File(f2));
        wb2.write(out2);
        out2.close();
        
        System.err.println("end");

    }

}
